Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
51.0.0.0
Broadcast address
51.63.255.255
First usable
51.0.0.1
Last usable
51.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 33000000 · Integer 855638016 to 859832319
Reverse DNS zones
0.51.in-addr.arpa
1.51.in-addr.arpa
2.51.in-addr.arpa
3.51.in-addr.arpa
4.51.in-addr.arpa
5.51.in-addr.arpa
6.51.in-addr.arpa
7.51.in-addr.arpa
8.51.in-addr.arpa
9.51.in-addr.arpa
10.51.in-addr.arpa
11.51.in-addr.arpa
12.51.in-addr.arpa
13.51.in-addr.arpa
14.51.in-addr.arpa
15.51.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.00000000.00000000.0000000051.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110011.00000000.00000000.0000000051.0.0.0
Broadcast00110011.00111111.11111111.1111111151.63.255.255
Split into smaller subnets/18

51.0.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.0.0.0/1851.0.0.1 to 51.0.63.25451.0.63.25516,382
251.0.64.0/1851.0.64.1 to 51.0.127.25451.0.127.25516,382
351.0.128.0/1851.0.128.1 to 51.0.191.25451.0.191.25516,382
451.0.192.0/1851.0.192.1 to 51.0.255.25451.0.255.25516,382
551.1.0.0/1851.1.0.1 to 51.1.63.25451.1.63.25516,382
651.1.64.0/1851.1.64.1 to 51.1.127.25451.1.127.25516,382
751.1.128.0/1851.1.128.1 to 51.1.191.25451.1.191.25516,382
851.1.192.0/1851.1.192.1 to 51.1.255.25451.1.255.25516,382
951.2.0.0/1851.2.0.1 to 51.2.63.25451.2.63.25516,382
1051.2.64.0/1851.2.64.1 to 51.2.127.25451.2.127.25516,382
1151.2.128.0/1851.2.128.1 to 51.2.191.25451.2.191.25516,382
1251.2.192.0/1851.2.192.1 to 51.2.255.25451.2.255.25516,382
1351.3.0.0/1851.3.0.1 to 51.3.63.25451.3.63.25516,382
1451.3.64.0/1851.3.64.1 to 51.3.127.25451.3.127.25516,382
1551.3.128.0/1851.3.128.1 to 51.3.191.25451.3.191.25516,382
1651.3.192.0/1851.3.192.1 to 51.3.255.25451.3.255.25516,382
1751.4.0.0/1851.4.0.1 to 51.4.63.25451.4.63.25516,382
1851.4.64.0/1851.4.64.1 to 51.4.127.25451.4.127.25516,382
1951.4.128.0/1851.4.128.1 to 51.4.191.25451.4.191.25516,382
2051.4.192.0/1851.4.192.1 to 51.4.255.25451.4.255.25516,382
2151.5.0.0/1851.5.0.1 to 51.5.63.25451.5.63.25516,382
2251.5.64.0/1851.5.64.1 to 51.5.127.25451.5.127.25516,382
2351.5.128.0/1851.5.128.1 to 51.5.191.25451.5.191.25516,382
2451.5.192.0/1851.5.192.1 to 51.5.255.25451.5.255.25516,382
2551.6.0.0/1851.6.0.1 to 51.6.63.25451.6.63.25516,382
2651.6.64.0/1851.6.64.1 to 51.6.127.25451.6.127.25516,382
2751.6.128.0/1851.6.128.1 to 51.6.191.25451.6.191.25516,382
2851.6.192.0/1851.6.192.1 to 51.6.255.25451.6.255.25516,382
2951.7.0.0/1851.7.0.1 to 51.7.63.25451.7.63.25516,382
3051.7.64.0/1851.7.64.1 to 51.7.127.25451.7.127.25516,382
3151.7.128.0/1851.7.128.1 to 51.7.191.25451.7.191.25516,382
3251.7.192.0/1851.7.192.1 to 51.7.255.25451.7.255.25516,382
3351.8.0.0/1851.8.0.1 to 51.8.63.25451.8.63.25516,382
3451.8.64.0/1851.8.64.1 to 51.8.127.25451.8.127.25516,382
3551.8.128.0/1851.8.128.1 to 51.8.191.25451.8.191.25516,382
3651.8.192.0/1851.8.192.1 to 51.8.255.25451.8.255.25516,382
3751.9.0.0/1851.9.0.1 to 51.9.63.25451.9.63.25516,382
3851.9.64.0/1851.9.64.1 to 51.9.127.25451.9.127.25516,382
3951.9.128.0/1851.9.128.1 to 51.9.191.25451.9.191.25516,382
4051.9.192.0/1851.9.192.1 to 51.9.255.25451.9.255.25516,382
4151.10.0.0/1851.10.0.1 to 51.10.63.25451.10.63.25516,382
4251.10.64.0/1851.10.64.1 to 51.10.127.25451.10.127.25516,382
4351.10.128.0/1851.10.128.1 to 51.10.191.25451.10.191.25516,382
4451.10.192.0/1851.10.192.1 to 51.10.255.25451.10.255.25516,382
4551.11.0.0/1851.11.0.1 to 51.11.63.25451.11.63.25516,382
4651.11.64.0/1851.11.64.1 to 51.11.127.25451.11.127.25516,382
4751.11.128.0/1851.11.128.1 to 51.11.191.25451.11.191.25516,382
4851.11.192.0/1851.11.192.1 to 51.11.255.25451.11.255.25516,382
4951.12.0.0/1851.12.0.1 to 51.12.63.25451.12.63.25516,382
5051.12.64.0/1851.12.64.1 to 51.12.127.25451.12.127.25516,382
5151.12.128.0/1851.12.128.1 to 51.12.191.25451.12.191.25516,382
5251.12.192.0/1851.12.192.1 to 51.12.255.25451.12.255.25516,382
5351.13.0.0/1851.13.0.1 to 51.13.63.25451.13.63.25516,382
5451.13.64.0/1851.13.64.1 to 51.13.127.25451.13.127.25516,382
5551.13.128.0/1851.13.128.1 to 51.13.191.25451.13.191.25516,382
5651.13.192.0/1851.13.192.1 to 51.13.255.25451.13.255.25516,382
5751.14.0.0/1851.14.0.1 to 51.14.63.25451.14.63.25516,382
5851.14.64.0/1851.14.64.1 to 51.14.127.25451.14.127.25516,382
5951.14.128.0/1851.14.128.1 to 51.14.191.25451.14.191.25516,382
6051.14.192.0/1851.14.192.1 to 51.14.255.25451.14.255.25516,382
6151.15.0.0/1851.15.0.1 to 51.15.63.25451.15.63.25516,382
6251.15.64.0/1851.15.64.1 to 51.15.127.25451.15.127.25516,382
6351.15.128.0/1851.15.128.1 to 51.15.191.25451.15.191.25516,382
6451.15.192.0/1851.15.192.1 to 51.15.255.25451.15.255.25516,382
6551.16.0.0/1851.16.0.1 to 51.16.63.25451.16.63.25516,382
6651.16.64.0/1851.16.64.1 to 51.16.127.25451.16.127.25516,382
6751.16.128.0/1851.16.128.1 to 51.16.191.25451.16.191.25516,382
6851.16.192.0/1851.16.192.1 to 51.16.255.25451.16.255.25516,382
6951.17.0.0/1851.17.0.1 to 51.17.63.25451.17.63.25516,382
7051.17.64.0/1851.17.64.1 to 51.17.127.25451.17.127.25516,382
7151.17.128.0/1851.17.128.1 to 51.17.191.25451.17.191.25516,382
7251.17.192.0/1851.17.192.1 to 51.17.255.25451.17.255.25516,382
7351.18.0.0/1851.18.0.1 to 51.18.63.25451.18.63.25516,382
7451.18.64.0/1851.18.64.1 to 51.18.127.25451.18.127.25516,382
7551.18.128.0/1851.18.128.1 to 51.18.191.25451.18.191.25516,382
7651.18.192.0/1851.18.192.1 to 51.18.255.25451.18.255.25516,382
7751.19.0.0/1851.19.0.1 to 51.19.63.25451.19.63.25516,382
7851.19.64.0/1851.19.64.1 to 51.19.127.25451.19.127.25516,382
7951.19.128.0/1851.19.128.1 to 51.19.191.25451.19.191.25516,382
8051.19.192.0/1851.19.192.1 to 51.19.255.25451.19.255.25516,382
8151.20.0.0/1851.20.0.1 to 51.20.63.25451.20.63.25516,382
8251.20.64.0/1851.20.64.1 to 51.20.127.25451.20.127.25516,382
8351.20.128.0/1851.20.128.1 to 51.20.191.25451.20.191.25516,382
8451.20.192.0/1851.20.192.1 to 51.20.255.25451.20.255.25516,382
8551.21.0.0/1851.21.0.1 to 51.21.63.25451.21.63.25516,382
8651.21.64.0/1851.21.64.1 to 51.21.127.25451.21.127.25516,382
8751.21.128.0/1851.21.128.1 to 51.21.191.25451.21.191.25516,382
8851.21.192.0/1851.21.192.1 to 51.21.255.25451.21.255.25516,382
8951.22.0.0/1851.22.0.1 to 51.22.63.25451.22.63.25516,382
9051.22.64.0/1851.22.64.1 to 51.22.127.25451.22.127.25516,382
9151.22.128.0/1851.22.128.1 to 51.22.191.25451.22.191.25516,382
9251.22.192.0/1851.22.192.1 to 51.22.255.25451.22.255.25516,382
9351.23.0.0/1851.23.0.1 to 51.23.63.25451.23.63.25516,382
9451.23.64.0/1851.23.64.1 to 51.23.127.25451.23.127.25516,382
9551.23.128.0/1851.23.128.1 to 51.23.191.25451.23.191.25516,382
9651.23.192.0/1851.23.192.1 to 51.23.255.25451.23.255.25516,382
9751.24.0.0/1851.24.0.1 to 51.24.63.25451.24.63.25516,382
9851.24.64.0/1851.24.64.1 to 51.24.127.25451.24.127.25516,382
9951.24.128.0/1851.24.128.1 to 51.24.191.25451.24.191.25516,382
10051.24.192.0/1851.24.192.1 to 51.24.255.25451.24.255.25516,382
10151.25.0.0/1851.25.0.1 to 51.25.63.25451.25.63.25516,382
10251.25.64.0/1851.25.64.1 to 51.25.127.25451.25.127.25516,382
10351.25.128.0/1851.25.128.1 to 51.25.191.25451.25.191.25516,382
10451.25.192.0/1851.25.192.1 to 51.25.255.25451.25.255.25516,382
10551.26.0.0/1851.26.0.1 to 51.26.63.25451.26.63.25516,382
10651.26.64.0/1851.26.64.1 to 51.26.127.25451.26.127.25516,382
10751.26.128.0/1851.26.128.1 to 51.26.191.25451.26.191.25516,382
10851.26.192.0/1851.26.192.1 to 51.26.255.25451.26.255.25516,382
10951.27.0.0/1851.27.0.1 to 51.27.63.25451.27.63.25516,382
11051.27.64.0/1851.27.64.1 to 51.27.127.25451.27.127.25516,382
11151.27.128.0/1851.27.128.1 to 51.27.191.25451.27.191.25516,382
11251.27.192.0/1851.27.192.1 to 51.27.255.25451.27.255.25516,382
11351.28.0.0/1851.28.0.1 to 51.28.63.25451.28.63.25516,382
11451.28.64.0/1851.28.64.1 to 51.28.127.25451.28.127.25516,382
11551.28.128.0/1851.28.128.1 to 51.28.191.25451.28.191.25516,382
11651.28.192.0/1851.28.192.1 to 51.28.255.25451.28.255.25516,382
11751.29.0.0/1851.29.0.1 to 51.29.63.25451.29.63.25516,382
11851.29.64.0/1851.29.64.1 to 51.29.127.25451.29.127.25516,382
11951.29.128.0/1851.29.128.1 to 51.29.191.25451.29.191.25516,382
12051.29.192.0/1851.29.192.1 to 51.29.255.25451.29.255.25516,382
12151.30.0.0/1851.30.0.1 to 51.30.63.25451.30.63.25516,382
12251.30.64.0/1851.30.64.1 to 51.30.127.25451.30.127.25516,382
12351.30.128.0/1851.30.128.1 to 51.30.191.25451.30.191.25516,382
12451.30.192.0/1851.30.192.1 to 51.30.255.25451.30.255.25516,382
12551.31.0.0/1851.31.0.1 to 51.31.63.25451.31.63.25516,382
12651.31.64.0/1851.31.64.1 to 51.31.127.25451.31.127.25516,382
12751.31.128.0/1851.31.128.1 to 51.31.191.25451.31.191.25516,382
12851.31.192.0/1851.31.192.1 to 51.31.255.25451.31.255.25516,382
12951.32.0.0/1851.32.0.1 to 51.32.63.25451.32.63.25516,382
13051.32.64.0/1851.32.64.1 to 51.32.127.25451.32.127.25516,382
13151.32.128.0/1851.32.128.1 to 51.32.191.25451.32.191.25516,382
13251.32.192.0/1851.32.192.1 to 51.32.255.25451.32.255.25516,382
13351.33.0.0/1851.33.0.1 to 51.33.63.25451.33.63.25516,382
13451.33.64.0/1851.33.64.1 to 51.33.127.25451.33.127.25516,382
13551.33.128.0/1851.33.128.1 to 51.33.191.25451.33.191.25516,382
13651.33.192.0/1851.33.192.1 to 51.33.255.25451.33.255.25516,382
13751.34.0.0/1851.34.0.1 to 51.34.63.25451.34.63.25516,382
13851.34.64.0/1851.34.64.1 to 51.34.127.25451.34.127.25516,382
13951.34.128.0/1851.34.128.1 to 51.34.191.25451.34.191.25516,382
14051.34.192.0/1851.34.192.1 to 51.34.255.25451.34.255.25516,382
14151.35.0.0/1851.35.0.1 to 51.35.63.25451.35.63.25516,382
14251.35.64.0/1851.35.64.1 to 51.35.127.25451.35.127.25516,382
14351.35.128.0/1851.35.128.1 to 51.35.191.25451.35.191.25516,382
14451.35.192.0/1851.35.192.1 to 51.35.255.25451.35.255.25516,382
14551.36.0.0/1851.36.0.1 to 51.36.63.25451.36.63.25516,382
14651.36.64.0/1851.36.64.1 to 51.36.127.25451.36.127.25516,382
14751.36.128.0/1851.36.128.1 to 51.36.191.25451.36.191.25516,382
14851.36.192.0/1851.36.192.1 to 51.36.255.25451.36.255.25516,382
14951.37.0.0/1851.37.0.1 to 51.37.63.25451.37.63.25516,382
15051.37.64.0/1851.37.64.1 to 51.37.127.25451.37.127.25516,382
15151.37.128.0/1851.37.128.1 to 51.37.191.25451.37.191.25516,382
15251.37.192.0/1851.37.192.1 to 51.37.255.25451.37.255.25516,382
15351.38.0.0/1851.38.0.1 to 51.38.63.25451.38.63.25516,382
15451.38.64.0/1851.38.64.1 to 51.38.127.25451.38.127.25516,382
15551.38.128.0/1851.38.128.1 to 51.38.191.25451.38.191.25516,382
15651.38.192.0/1851.38.192.1 to 51.38.255.25451.38.255.25516,382
15751.39.0.0/1851.39.0.1 to 51.39.63.25451.39.63.25516,382
15851.39.64.0/1851.39.64.1 to 51.39.127.25451.39.127.25516,382
15951.39.128.0/1851.39.128.1 to 51.39.191.25451.39.191.25516,382
16051.39.192.0/1851.39.192.1 to 51.39.255.25451.39.255.25516,382
16151.40.0.0/1851.40.0.1 to 51.40.63.25451.40.63.25516,382
16251.40.64.0/1851.40.64.1 to 51.40.127.25451.40.127.25516,382
16351.40.128.0/1851.40.128.1 to 51.40.191.25451.40.191.25516,382
16451.40.192.0/1851.40.192.1 to 51.40.255.25451.40.255.25516,382
16551.41.0.0/1851.41.0.1 to 51.41.63.25451.41.63.25516,382
16651.41.64.0/1851.41.64.1 to 51.41.127.25451.41.127.25516,382
16751.41.128.0/1851.41.128.1 to 51.41.191.25451.41.191.25516,382
16851.41.192.0/1851.41.192.1 to 51.41.255.25451.41.255.25516,382
16951.42.0.0/1851.42.0.1 to 51.42.63.25451.42.63.25516,382
17051.42.64.0/1851.42.64.1 to 51.42.127.25451.42.127.25516,382
17151.42.128.0/1851.42.128.1 to 51.42.191.25451.42.191.25516,382
17251.42.192.0/1851.42.192.1 to 51.42.255.25451.42.255.25516,382
17351.43.0.0/1851.43.0.1 to 51.43.63.25451.43.63.25516,382
17451.43.64.0/1851.43.64.1 to 51.43.127.25451.43.127.25516,382
17551.43.128.0/1851.43.128.1 to 51.43.191.25451.43.191.25516,382
17651.43.192.0/1851.43.192.1 to 51.43.255.25451.43.255.25516,382
17751.44.0.0/1851.44.0.1 to 51.44.63.25451.44.63.25516,382
17851.44.64.0/1851.44.64.1 to 51.44.127.25451.44.127.25516,382
17951.44.128.0/1851.44.128.1 to 51.44.191.25451.44.191.25516,382
18051.44.192.0/1851.44.192.1 to 51.44.255.25451.44.255.25516,382
18151.45.0.0/1851.45.0.1 to 51.45.63.25451.45.63.25516,382
18251.45.64.0/1851.45.64.1 to 51.45.127.25451.45.127.25516,382
18351.45.128.0/1851.45.128.1 to 51.45.191.25451.45.191.25516,382
18451.45.192.0/1851.45.192.1 to 51.45.255.25451.45.255.25516,382
18551.46.0.0/1851.46.0.1 to 51.46.63.25451.46.63.25516,382
18651.46.64.0/1851.46.64.1 to 51.46.127.25451.46.127.25516,382
18751.46.128.0/1851.46.128.1 to 51.46.191.25451.46.191.25516,382
18851.46.192.0/1851.46.192.1 to 51.46.255.25451.46.255.25516,382
18951.47.0.0/1851.47.0.1 to 51.47.63.25451.47.63.25516,382
19051.47.64.0/1851.47.64.1 to 51.47.127.25451.47.127.25516,382
19151.47.128.0/1851.47.128.1 to 51.47.191.25451.47.191.25516,382
19251.47.192.0/1851.47.192.1 to 51.47.255.25451.47.255.25516,382
19351.48.0.0/1851.48.0.1 to 51.48.63.25451.48.63.25516,382
19451.48.64.0/1851.48.64.1 to 51.48.127.25451.48.127.25516,382
19551.48.128.0/1851.48.128.1 to 51.48.191.25451.48.191.25516,382
19651.48.192.0/1851.48.192.1 to 51.48.255.25451.48.255.25516,382
19751.49.0.0/1851.49.0.1 to 51.49.63.25451.49.63.25516,382
19851.49.64.0/1851.49.64.1 to 51.49.127.25451.49.127.25516,382
19951.49.128.0/1851.49.128.1 to 51.49.191.25451.49.191.25516,382
20051.49.192.0/1851.49.192.1 to 51.49.255.25451.49.255.25516,382
20151.50.0.0/1851.50.0.1 to 51.50.63.25451.50.63.25516,382
20251.50.64.0/1851.50.64.1 to 51.50.127.25451.50.127.25516,382
20351.50.128.0/1851.50.128.1 to 51.50.191.25451.50.191.25516,382
20451.50.192.0/1851.50.192.1 to 51.50.255.25451.50.255.25516,382
20551.51.0.0/1851.51.0.1 to 51.51.63.25451.51.63.25516,382
20651.51.64.0/1851.51.64.1 to 51.51.127.25451.51.127.25516,382
20751.51.128.0/1851.51.128.1 to 51.51.191.25451.51.191.25516,382
20851.51.192.0/1851.51.192.1 to 51.51.255.25451.51.255.25516,382
20951.52.0.0/1851.52.0.1 to 51.52.63.25451.52.63.25516,382
21051.52.64.0/1851.52.64.1 to 51.52.127.25451.52.127.25516,382
21151.52.128.0/1851.52.128.1 to 51.52.191.25451.52.191.25516,382
21251.52.192.0/1851.52.192.1 to 51.52.255.25451.52.255.25516,382
21351.53.0.0/1851.53.0.1 to 51.53.63.25451.53.63.25516,382
21451.53.64.0/1851.53.64.1 to 51.53.127.25451.53.127.25516,382
21551.53.128.0/1851.53.128.1 to 51.53.191.25451.53.191.25516,382
21651.53.192.0/1851.53.192.1 to 51.53.255.25451.53.255.25516,382
21751.54.0.0/1851.54.0.1 to 51.54.63.25451.54.63.25516,382
21851.54.64.0/1851.54.64.1 to 51.54.127.25451.54.127.25516,382
21951.54.128.0/1851.54.128.1 to 51.54.191.25451.54.191.25516,382
22051.54.192.0/1851.54.192.1 to 51.54.255.25451.54.255.25516,382
22151.55.0.0/1851.55.0.1 to 51.55.63.25451.55.63.25516,382
22251.55.64.0/1851.55.64.1 to 51.55.127.25451.55.127.25516,382
22351.55.128.0/1851.55.128.1 to 51.55.191.25451.55.191.25516,382
22451.55.192.0/1851.55.192.1 to 51.55.255.25451.55.255.25516,382
22551.56.0.0/1851.56.0.1 to 51.56.63.25451.56.63.25516,382
22651.56.64.0/1851.56.64.1 to 51.56.127.25451.56.127.25516,382
22751.56.128.0/1851.56.128.1 to 51.56.191.25451.56.191.25516,382
22851.56.192.0/1851.56.192.1 to 51.56.255.25451.56.255.25516,382
22951.57.0.0/1851.57.0.1 to 51.57.63.25451.57.63.25516,382
23051.57.64.0/1851.57.64.1 to 51.57.127.25451.57.127.25516,382
23151.57.128.0/1851.57.128.1 to 51.57.191.25451.57.191.25516,382
23251.57.192.0/1851.57.192.1 to 51.57.255.25451.57.255.25516,382
23351.58.0.0/1851.58.0.1 to 51.58.63.25451.58.63.25516,382
23451.58.64.0/1851.58.64.1 to 51.58.127.25451.58.127.25516,382
23551.58.128.0/1851.58.128.1 to 51.58.191.25451.58.191.25516,382
23651.58.192.0/1851.58.192.1 to 51.58.255.25451.58.255.25516,382
23751.59.0.0/1851.59.0.1 to 51.59.63.25451.59.63.25516,382
23851.59.64.0/1851.59.64.1 to 51.59.127.25451.59.127.25516,382
23951.59.128.0/1851.59.128.1 to 51.59.191.25451.59.191.25516,382
24051.59.192.0/1851.59.192.1 to 51.59.255.25451.59.255.25516,382
24151.60.0.0/1851.60.0.1 to 51.60.63.25451.60.63.25516,382
24251.60.64.0/1851.60.64.1 to 51.60.127.25451.60.127.25516,382
24351.60.128.0/1851.60.128.1 to 51.60.191.25451.60.191.25516,382
24451.60.192.0/1851.60.192.1 to 51.60.255.25451.60.255.25516,382
24551.61.0.0/1851.61.0.1 to 51.61.63.25451.61.63.25516,382
24651.61.64.0/1851.61.64.1 to 51.61.127.25451.61.127.25516,382
24751.61.128.0/1851.61.128.1 to 51.61.191.25451.61.191.25516,382
24851.61.192.0/1851.61.192.1 to 51.61.255.25451.61.255.25516,382
24951.62.0.0/1851.62.0.1 to 51.62.63.25451.62.63.25516,382
25051.62.64.0/1851.62.64.1 to 51.62.127.25451.62.127.25516,382
25151.62.128.0/1851.62.128.1 to 51.62.191.25451.62.191.25516,382
25251.62.192.0/1851.62.192.1 to 51.62.255.25451.62.255.25516,382
25351.63.0.0/1851.63.0.1 to 51.63.63.25451.63.63.25516,382
25451.63.64.0/1851.63.64.1 to 51.63.127.25451.63.127.25516,382
25551.63.128.0/1851.63.128.1 to 51.63.191.25451.63.191.25516,382
25651.63.192.0/1851.63.192.1 to 51.63.255.25451.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses